{
  "name": "@arranger/admin-ui",
  "version": "1.0.8",
  "dependencies": {
    "@arranger/admin": "^2.13.2",
    "@types/node": "^13.13.0",
    "apollo-boost": "^0.1.19",
    "apollo-client": "^2.5.1",
    "apollo-link-http": "^1.5.16",
    "bulma": "^0.7.2",
    "connected-react-router": "^5.0.1",
    "convert-units": "^2.3.4",
    "create-emotion": "^9.0.0",
    "emotion": "^9.2.12",
    "emotion-theming": "^9.2.9",
    "file-saver": "^2.0.1",
    "graphql": "^14.5.3",
    "jszip": "^3.1.5",
    "lodash": "^4.17.20",
    "mineral-ui": "^0.49.0",
    "mineral-ui-icons": "^0.5.0",
    "node-sass-chokidar": "^1.3.4",
    "ramda": "^0.26.1",
    "react": "^16.12.0",
    "react-apollo": "^2.2.4",
    "react-bulma-components": "^2.2.0",
    "react-component-component": "^1.2.1",
    "react-dom": "^v16.12.0",
    "react-emotion": "^9.2.12",
    "react-portal": "^4.1.5",
    "react-redux": "^5.1.0",
    "react-router-dom": "^4.3.1",
    "react-scripts-ts": "3.1.0",
    "react-sortable-hoc": "^0.8.3",
    "react-table": "6.8.6",
    "recompose": "^0.30.0",
    "redux": "^4.0.1",
    "runtypes": "^2.1.6",
    "tslib": "^1.10.0",
    "utility-types": "^2.1.0",
    "webpack": "^3.0.0"
  },
  "scripts": {
    "start": "react-scripts-ts start",
    "build": "react-scripts-ts build",
    "test": "echo 'test temporarily taken out, script: react-scripts-ts test --env=jsdom'",
    "eject": "react-scripts-ts eject",
    "build-css": "node-sass-chokidar --include-path ./src/scss --include-path ./node_modules src/scss/ -o src/",
    "watch-css": "npm run build-css && node-sass-chokidar --include-path ./src/scss --include-path ./node_modules src/scss/ -o src/ --watch --recursive",
    "prepare": "rm -rf ./dist && webpack --config webpack.config.npm.js"
  },
  "devDependencies": {
    "css-loader": "^2.1.1",
    "husky": "^4.3.0",
    "prettier": "^2.1.2",
    "pretty-quick": "^3.0.2",
    "style-loader": "^0.23.1",
    "ts-loader": "^3.5.0",
    "webpack-cli": "^3.3.0"
  },
  "prettier": {
    "printWidth": 100,
    "trailingComma": "all",
    "singleQuote": true
  },
  "homepage": ".",
  "husky": {
    "hooks": {
      "pre-commit": "pretty-quick --staged"
    }
  }
}
